Subject: Re: [PATCH v3 3/4] powerpc/85xx: Move gianfar mdio nodes under the ethernet nodes

From: Anton Vorontsov <[email-masked]>
Date: Wed, 18 Mar 2009 23:29:47 +0300

On Wed, Mar 18, 2009 at 11:23:44PM +0300, Anton Vorontsov wrote:
> On Wed, Mar 18, 2009 at 03:05:51PM -0500, Scott Wood wrote:
> > Anton Vorontsov wrote:
> >> Currently it doesn't matter where the mdio nodes are placed, but with
> >> power management support (i.e. when sleep = <> properties will take
> >> effect), mdio nodes placement will become important: mdio controller
> >> is a part of the ethernet block, so the mdio nodes should be placed
> >> correctly. Otherwise we may wrongly assume that MDIO controllers are
> >> available during sleep.
> >>
> >> NOTE: mpc8572ds_camp_core1.dts now fully specifies ethernet@24000
> >> layout. ethernet@24000 node is disabled via status = "disabled on
> >> core1" property.
> >
> > Hmm, would that imply that the mdio underneath it is disabled as well?
> 
> Technically, yes. In practice, MDIO and MAC drivers are probed
> separately.
> 
> I don't see any better solution, should I just leave the core1's
> mdio node intact?

Ah. We also could change compatible entry to "fsl,gianfar-slave".
This will prevent gianfar MAC driver to probe on core1.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2